Subject: Re: mainline build failure (Was: Re: linux-next: build failure after merge of the regmap tree)

From: Mark Brown <[email-masked]>
Date: Thu, 12 Apr 2012 16:46:50 +0100

On Thu, Apr 12, 2012 at 08:07:14AM +1000, Stephen Rothwell wrote:

> So, what is this failure and what configs do you build?  And has a fix
> been submitted?

It's a build failure in the trace subsystem when perf isn't enabled; I
submitted a patch as soon as I noticed the issue which was either during
the merge window or just after -rc1 came out and resubmitted it again
this week.  In response to the reposting Steven Rostedt said he'd pick
the fix up but I'm not sure when that'll happen or how long it'll take
to propagate to mainline, this appears to be one of those areas where
things get processed in batch mode.

I mainly build an ARM config that I can run usefully on my development
boards which is mostly built in and a modular x86 config since x86 seems
to have lots of issues with modular stuff.  I should be able to adjust
the ARM config to build, I didn't yet mostly because I wasn't expecting
the issue to be ignored for so long.